ITAMAE(1)

NAME
itamae - Simple and lightweight configuration management tool inspired by Chef.

SYNOPSIS

itamae destroy [cookbook|role] [NAME]

itamae docker RECIPE [RECIPE...]

itamae generate [cookbook|role] [NAME]

itamae help [COMMAND]

itamae init NAME

itamae local RECIPE [RECIPE...]

itamae ssh RECIPE [RECIPE...]

itamae version

DESCRIPTION

itamae(1) is a simple and lightweight configuration management tool inspired by Chef.

SUBCOMMANDS

  destroy

Undo role or cookbook (short-cut alias d).

  docker

Create Docker image.

  generate

Initialize role or cookbook (short-cut alias: g).

  help

Describe available commands or one specific command.

  init

Create a new project.

  local

Run Itamae locally.

  ssh

Run Itamae via ssh.

OPTIONS

Options are valid for all subcommands unless otherwise noted.

-l, --log-level=LOG_LEVEL
    Set the level of logging detail. Possible values, in increasingly verbose order, unknown, fatal, error, warn, info (the default), debug.

--[no-]color
    Enable (the default) or disable color logging to STDOUT.

-c, --config=CONFIG
    Load configuration from a file in YAML format in addition to command line options (no default).

--recipe-graph=PATH
    [EXPERIMENTAL] Write recipe dependency graph in DOT.

    Subcommands: docker, local, ssh.

-j, --node-json=NODE_JSON
    Load node data from a JSON formatted file, NODE_JSON.

    Subcommands: docker, local, ssh.

-y, --node-yaml=NODE_YAML
    Load node data from a YAML formatted file, NODE_YAML.

    Subcommands: docker, local, ssh.

-n, --[no-]dry-run
    Only show the steps that would be taken.

    Subcommands: docker, local, ssh.

--shell=SHELL
    Set the shell in the image. Default /bin/sh.

    Subcommands: docker, local, ssh.

--[no-]login-shell
    Enable or disable a login shell. Default disabled.

    Subcommands: docker, local, ssh.

--[no-]ohai
    This option is DEPRECATED and will be unavailable.

    Subcommands: docker, local, ssh.

--profile=PATH
    [EXPERIMENTAL] Save profiling data to PATH.

    Subcommands: docker, local, ssh.

--[no-]detailed-exitcode
    Enable detailed exit codes (default disabled). See EXIT STATUS.

    Subcommands: docker, local, ssh.

--image=IMAGE
    Output image. This option or 'container' option is required.

    Subcommands: docker.

--container=CONTAINER
    Output container. This option or 'image' option is required.

    Subcommands: docker.

--[no-]tls-verify-peer]
    Verify TLS certificates. Default enabled.

    Subcommands: docker.

-h, --host=HOST
    Connect to the given HOST. This option or --vagrant must be specified.

    Subcommands: ssh.

-u, --user=USER
    Connect using the given USER.

    Subcommands: ssh.

-i, --key=KEY
    Connect using the given KEY.

    Subcommands: ssh.

-p, --port=PORT
    Connect to the given PORT.

    Subcommands: ssh.

--ssh-config=SSH_CONFIG
    Use the given SSH_CONFIG.

    Subcommands: ssh.

--[no-]vagrant
    Use Vagrant. Default disabled. This option or --host must be specified.

    Subcommands: ssh.

--[no-]ask-password
    Prompt for a password. Default disabled.

    Subcommands: ssh.

--[no-]sudo
    Use sudo to run commands on the HOST. Default enabled.

    Subcommands: ssh.

ENVIRONMENT

SUDO_PASSWORD
    Used to elevate privileges if required. If not set, and elevated privileges are required, the user will be prompted.

EXIT STATUS

With --detailed-exitcode=false (default):

0
    The run succeeded with no failures, some changes may have occurred.

1
    The run failed (syntax or usage error; configuration error; unexpected error).

With --detailed-exitcode=true:

0
    The run succeeded with no changes or failures.

1
    The run failed (syntax or usage error; configuration error; unexpected error).

2
    The run succeeded, and some resources were changed.

BUGS

Refer to the Itamae issue tracker at

AUTHORS

Itamae was written by Ryota Arai, and other contributors.

This man page was written by Scott Leggett for the Debian Project.

RESOURCES

Project web site:

Git source repository on GitHub:

GitHub organization:

COPYING

Copyright (C) 2013-2016 Ryota Arai. Free use of this software is granted under the terms of the MIT License.

AUTHOR

Ryota Arai